POST /api/v202405/bill/export/json

Retrieves a JSON array of bill details.

ExportBillsAsJsonV202405 Permissions: BillsAndBatches (View)

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type, including the request body.

Request Body

BillExport
Property Description Type
billIds Cannot be Empty NULL Valid Required (defined) integer[]
exportMode The export mode to use. Valid values are ‘AP’, ‘GL’, ‘Payment’ Required One of ‘ap’, ‘gl’, ‘payment’ string
exportNote Optional note/comment. Required (defined) string
fileName Optional filename to use for the export file. Filenames may only contain alphanumeric characters, dashes, underscores, or periods. Required (defined) string
markAsExported Flag to mark bills as exported after the export is complete. Required boolean
Example Request Body application/json
{  "billIds": [
    1
  ],  "exportMode": "string",  "exportNote": "string",  "fileName": "string",  "markAsExported": false
}

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

Array of:

JsonBillExportResponse
Property Description Type
account JsonBillExportAccount
JsonBillExportAccount properties
Property Description Type
accountCode string
accountId integer (int32)
accountInfo string
accountType AccountTypeChild
AccountTypeChild properties
Property Description Type
accountTypeCode The account type code string
accountTypeId The account type identifier integer (int32)
accountTypeInfo The account type info string
address AddressChild
AddressChild properties
Property Description Type
addressTypeId The address type identifier integer (int32)
city The city of the place Must be between 0 and 100 characters string
country The country of the place Must be between 0 and 64 characters string
latitude The latitude of the place Required when the country is not United States or Canada Must be between -90 and 90 Required when Longitude is set number (double)
line1 The line 1 of the address Must be between 0 and 100 characters string
line2 The line 2 of the address Must be between 0 and 100 characters string
line3 The line 3 of the address Must be between 0 and 100 characters string
longitude The longitude of the place Required when the country is not United States or Canada Must be between -180 and 180 Required when Latitude is set number (double)
postalCode The postal code of the place Must be between 0 and 32 characters string
remitTo Remit To field is the name of the person or company who should receive the payment. It’s required for bill pay customers. Must be between 0 and 100 characters string
state The state of the place Must be between 0 and 100 characters string
cost number (double)
costUnit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
customFields object
generalLedgers JsonBillExportGeneralLedger[]
JsonBillExportGeneralLedger properties
Property Description Type
cost number (double)
costUnit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
generalLedgerCode string
generalLedgerId integer (int32)
generalLedgerInfo string
lines JsonBillExportLine[]
JsonBillExportLine properties
Property Description Type
bodyLineId integer (int32)
caption string
cost number (double)
costIsInfoOnly boolean
costUnit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
observationType ObservationTypeChild
ObservationTypeChild properties
Property Description Type
credit Indicates the type of credit for the observation type. Possible values include: 1 (Credit), 2 (Debit), 3 (Ignore) integer (int32)
nounCode The observation type’s noun code string
nounId The identifier for the observation type’s noun integer (int32)
observationTypeCode The observation type code string
observationTypeId The observation type identifier integer (int32)
observationTypeInfo The observation type info string
value number (double)
valueIsInfoOnly boolean
valueUnit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
subCode01 string
subCode02 string
subCode03 string
subCode04 string
subCode05 string
subCode06 string
subCode07 string
subCode08 string
subCode09 string
subCode10 string
subCode11 string
subCode12 string
subCode13 string
subCode14 string
subCode15 string
subCode16 string
subCode17 string
subCode18 string
subCode19 string
subCode20 string
lines JsonBillExportLine[]
JsonBillExportLine properties
Property Description Type
bodyLineId integer (int32)
caption string
cost number (double)
costIsInfoOnly boolean
costUnit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
observationType ObservationTypeChild
ObservationTypeChild properties
Property Description Type
credit Indicates the type of credit for the observation type. Possible values include: 1 (Credit), 2 (Debit), 3 (Ignore) integer (int32)
nounCode The observation type’s noun code string
nounId The identifier for the observation type’s noun integer (int32)
observationTypeCode The observation type code string
observationTypeId The observation type identifier integer (int32)
observationTypeInfo The observation type info string
value number (double)
valueIsInfoOnly boolean
valueUnit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
meters JsonBillExportMeter[]
JsonBillExportMeter properties
Property Description Type
address AddressChild
AddressChild properties
Property Description Type
addressTypeId The address type identifier integer (int32)
city The city of the place Must be between 0 and 100 characters string
country The country of the place Must be between 0 and 64 characters string
latitude The latitude of the place Required when the country is not United States or Canada Must be between -90 and 90 Required when Longitude is set number (double)
line1 The line 1 of the address Must be between 0 and 100 characters string
line2 The line 2 of the address Must be between 0 and 100 characters string
line3 The line 3 of the address Must be between 0 and 100 characters string
longitude The longitude of the place Required when the country is not United States or Canada Must be between -180 and 180 Required when Latitude is set number (double)
postalCode The postal code of the place Must be between 0 and 32 characters string
remitTo Remit To field is the name of the person or company who should receive the payment. It’s required for bill pay customers. Must be between 0 and 100 characters string
state The state of the place Must be between 0 and 100 characters string
commodity CommodityChild
CommodityChild properties
Property Description Type
commodityCode The commodity code Required (defined) string
commodityIcon Icon
Icon properties
Property Description Type
code The icon code Must be between 0 and 64 characters Required when Color is set string
color The icon color Must be between 0 and 32 characters Required when Code is set string
commodityId The commodity identifier Required (defined) integer (int32)
commodityInfo The commodity info Required (defined) string
cost number (double)
costUnit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
customFields object
generalLedgers JsonBillExportGeneralLedger[]
JsonBillExportGeneralLedger properties
Property Description Type
cost number (double)
costUnit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
generalLedgerCode string
generalLedgerId integer (int32)
generalLedgerInfo string
lines JsonBillExportLine[]
JsonBillExportLine properties
Property Description Type
bodyLineId integer (int32)
caption string
cost number (double)
costIsInfoOnly boolean
costUnit UnitChild
observationType ObservationTypeChild
value number (double)
valueIsInfoOnly boolean
valueUnit UnitChild
subCode01 string
subCode02 string
subCode03 string
subCode04 string
subCode05 string
subCode06 string
subCode07 string
subCode08 string
subCode09 string
subCode10 string
subCode11 string
subCode12 string
subCode13 string
subCode14 string
subCode15 string
subCode16 string
subCode17 string
subCode18 string
subCode19 string
subCode20 string
lines JsonBillExportLine[]
JsonBillExportLine properties
Property Description Type
bodyLineId integer (int32)
caption string
cost number (double)
costIsInfoOnly boolean
costUnit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
observationType ObservationTypeChild
ObservationTypeChild properties
Property Description Type
credit Indicates the type of credit for the observation type. Possible values include: 1 (Credit), 2 (Debit), 3 (Ignore) integer (int32)
nounCode The observation type’s noun code string
nounId The identifier for the observation type’s noun integer (int32)
observationTypeCode The observation type code string
observationTypeId The observation type identifier integer (int32)
observationTypeInfo The observation type info string
value number (double)
valueIsInfoOnly boolean
valueUnit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
meterCode string
meterId integer (int32)
meterInfo string
meterType MeterTypeChild
MeterTypeChild properties
Property Description Type
meterTypeCode string
meterTypeId integer (int32)
meterTypeInfo string
nativeActualDemand number (double)
nativeActualDemandUnit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
nativeBilledDemand number (double)
nativeBilledDemandUnit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
nativeUse number (double)
nativeUseUnit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
place JsonBillExportPlace
JsonBillExportPlace properties
Property Description Type
address AddressChild
AddressChild properties
Property Description Type
addressTypeId The address type identifier integer (int32)
city The city of the place Must be between 0 and 100 characters string
country The country of the place Must be between 0 and 64 characters string
latitude The latitude of the place Required when the country is not United States or Canada Must be between -90 and 90 Required when Longitude is set number (double)
line1 The line 1 of the address Must be between 0 and 100 characters string
line2 The line 2 of the address Must be between 0 and 100 characters string
line3 The line 3 of the address Must be between 0 and 100 characters string
longitude The longitude of the place Required when the country is not United States or Canada Must be between -180 and 180 Required when Latitude is set number (double)
postalCode The postal code of the place Must be between 0 and 32 characters string
remitTo Remit To field is the name of the person or company who should receive the payment. It’s required for bill pay customers. Must be between 0 and 100 characters string
state The state of the place Must be between 0 and 100 characters string
customFields object
placeCode string
placeId integer (int32)
placeInfo string
placeType PlaceTypeResponse
PlaceTypeResponse properties
Property Description Type
icon Icon
isSystemPlaceType Flag to indicate if the place type is a system-level place type boolean
placeEntityType PlaceEntityTypeV202406
placeTypeCode The place type code string
placeTypeId The place type identifier integer (int32)
placeTypeInfo The place type info string
structure Indicates if the place is a structure boolean
rate RateChild
RateChild properties
Property Description Type
name string
rateId integer (int32)
serialNumber string
vendor JsonBillExportVendor
JsonBillExportVendor properties
Property Description Type
address AddressChild
AddressChild properties
Property Description Type
addressTypeId The address type identifier integer (int32)
city The city of the place Must be between 0 and 100 characters string
country The country of the place Must be between 0 and 64 characters string
latitude The latitude of the place Required when the country is not United States or Canada Must be between -90 and 90 Required when Longitude is set number (double)
line1 The line 1 of the address Must be between 0 and 100 characters string
line2 The line 2 of the address Must be between 0 and 100 characters string
line3 The line 3 of the address Must be between 0 and 100 characters string
longitude The longitude of the place Required when the country is not United States or Canada Must be between -180 and 180 Required when Latitude is set number (double)
postalCode The postal code of the place Must be between 0 and 32 characters string
remitTo Remit To field is the name of the person or company who should receive the payment. It’s required for bill pay customers. Must be between 0 and 100 characters string
state The state of the place Must be between 0 and 100 characters string
customFields object
vendorCode string
vendorId integer (int32)
vendorInfo string
accountPeriod The bill’s accounting period integer (int32)
accountPeriodName The bill’s accounting period name string
accrual Indicates if the bill is an accrual boolean
accrualReversed Indicates if the bill is a reversed accrual boolean
analyzing Indicates whether this bill is currently being analyzed boolean
apExportDate The date and time the bill was ap exported string (date-time)
apExported Indicates if the bill has been ap exported boolean
apExportedBy UserChild
UserChild properties
Property Description Type
fullName The user’s full name string
userCode The user code string
userId The user identifier integer (int32)
approveDate The date and time the bill was approved string (date-time)
approved Indicates if the bill has been approved boolean
approvedBy UserChild
UserChild properties
Property Description Type
fullName The user’s full name string
userCode The user code string
userId The user identifier integer (int32)
balance The bill’s balance number (double)
batch BatchChild
BatchChild properties
Property Description Type
batchCode The batch code. string
batchId The batch id. integer (int32)
batchEndDate The date the batch was closed string (date-time)
bcAcquisitionMethod The method used to upload the bill to BillCAPture, if applicable string
bcProcessingComplete The date and time the bill processing was completed in BillCAPture string (date-time)
bcReceived The date and time the bill was received by BillCAPture string (date-time)
bcReturnedFromProcessing The date and time the bill was returned from processing in BillCAPture string (date-time)
bcSentToProcessing The date and time the bill entered processing in BillCAPture string (date-time)
beginDate The bill’s begin date string (date-time)
billId The bill identifier integer (int32)
billImageUrl The fully qualified url to the bill image string
billNote Bill note string
billingPeriod The bill’s billing period integer (int32)
checkDate The date and time of the check string (date-time)
checkImage The API URL that can be used to download the file of the check image string
checkNumber The number of the check that the bill was paid with string
clearedDate The date and time that the check cleared string (date-time)
controlCode The bill’s control code string
costConversion CostConversion
CostConversion properties
Property Description Type
conversionDate The date used to look up the currency conversion string (date-time)
sourceToSystemConversionValue The conversion factor used to convert from the source cost unit to the system cost unit number (double)
sourceUnit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
systemUnit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
createdBy UserChild
UserChild properties
Property Description Type
fullName The user’s full name string
userCode The user code string
userId The user identifier integer (int32)
createdDate The date and time the bill was created string (date-time)
creationMethod The method used to create the bill Automatic, Manual, Estimated, Simulated, Accrual, or Adjustment string
days The bill’s number of days integer (int32)
dueDate The date and time the bill is due string (date-time)
endDate The bill’s end date string (date-time)
estimated Indicates if the bill is estimated boolean
excludedFromAccruals Indicates whether this bill is excluded from accruals or not boolean
exportHold Indicates if the bill is being withheld from bill exports boolean
fromVendor Indicates if the bill is from a vendor boolean
fundsWithdrawnDate The date when funds were withdrawn string (date-time)
glExportDate The date and time the bill was exported to gl string (date-time)
glExported Indicates if the bill has been gl exported boolean
glExportedBy UserChild
UserChild properties
Property Description Type
fullName The user’s full name string
userCode The user code string
userId The user identifier integer (int32)
hasBeenSplit Indicates if the bill has been split boolean
invoiceNumber The bill’s invoice number string
modifiedBy UserChild
UserChild properties
Property Description Type
fullName The user’s full name string
userCode The user code string
userId The user identifier integer (int32)
modifiedDate The date and time of the most recent modification string (date-time)
nextReading The bill’s next reading date string (date-time)
payStatus The payment status of the bill string
paymentAmount The net amount of the payment event of the bill number (double)
paymentExportDate The date and time the bill was exported to bill payment string (date-time)
paymentExported Indicates if the bill has been exported to bill payment boolean
paymentExportedBy UserChild
UserChild properties
Property Description Type
fullName The user’s full name string
userCode The user code string
userId The user identifier integer (int32)
paymentType The payment type of the bill. For example, Check, VCard, and ACH. string
paymentVoucher The API URL that can be used to download the file of the payment voucher string
reversalDetails BillReversal
BillReversal properties
Property Description Type
description Description of the reversal pair string
referenceBillId Identifier of the other bill in the reversal pair integer (int32)
referenceType Indicates whether the reference bill is a reversal or source of a reversal. It is “Source” if the reference bill is the source bill and “Reversal” if the reference bill is the reversal bill string
statementDate The date of the billing statement string (date-time)
totalCost The bill’s total cost in the system currency. The system currency is the reporting/global currency unit. number (double)
totalSourceCost The bill’s total cost in the source currency. The source currency is the native currency unit. number (double)
void Indicates if the bill has been voided boolean
wasSplitDate The date and time the bill was split string (date-time)
Example Response application/json
[
  {    "account": {      "accountCode": "string",      "accountId": 1,      "accountInfo": "string",      "accountType": {},      "address": {},      "cost": 1.0,      "costUnit": {},      "customFields": {},      "generalLedgers": [],      "lines": [],      "meters": [],      "vendor": {}
    },    "accountPeriod": 1,    "accountPeriodName": "string",    "accrual": false,    "accrualReversed": false,    "analyzing": false,    "apExportDate": "2026-03-30",    "apExported": false,    "apExportedBy": {      "fullName": "string",      "userCode": "string",      "userId": 1
    },    "approveDate": "2026-03-30",    "approved": false,    "approvedBy": {      "fullName": "string",      "userCode": "string",      "userId": 1
    },    "balance": 1.0,    "batch": {      "batchCode": "string",      "batchId": 1
    },    "batchEndDate": "2026-03-30",    "bcAcquisitionMethod": "string",    "bcProcessingComplete": "2026-03-30",    "bcReceived": "2026-03-30",    "bcReturnedFromProcessing": "2026-03-30",    "bcSentToProcessing": "2026-03-30",    "beginDate": "2026-03-30",    "billId": 1,    "billImageUrl": "string",    "billNote": "string",    "billingPeriod": 1,    "checkDate": "2026-03-30",    "checkImage": "string",    "checkNumber": "string",    "clearedDate": "2026-03-30",    "controlCode": "string",    "costConversion": {      "conversionDate": "2026-03-30",      "sourceToSystemConversionValue": 1.0,      "sourceUnit": {},      "systemUnit": {}
    },    "createdBy": {      "fullName": "string",      "userCode": "string",      "userId": 1
    },    "createdDate": "2026-03-30",    "creationMethod": "string",    "days": 1,    "dueDate": "2026-03-30",    "endDate": "2026-03-30",    "estimated": false,    "excludedFromAccruals": false,    "exportHold": false,    "fromVendor": false,    "fundsWithdrawnDate": "2026-03-30",    "glExportDate": "2026-03-30",    "glExported": false,    "glExportedBy": {      "fullName": "string",      "userCode": "string",      "userId": 1
    },    "hasBeenSplit": false,    "invoiceNumber": "string",    "modifiedBy": {      "fullName": "string",      "userCode": "string",      "userId": 1
    },    "modifiedDate": "2026-03-30",    "nextReading": "2026-03-30",    "payStatus": "string",    "paymentAmount": 1.0,    "paymentExportDate": "2026-03-30",    "paymentExported": false,    "paymentExportedBy": {      "fullName": "string",      "userCode": "string",      "userId": 1
    },    "paymentType": "string",    "paymentVoucher": "string",    "reversalDetails": {      "description": "string",      "referenceBillId": 1,      "referenceType": "string"
    },    "statementDate": "2026-03-30",    "totalCost": 1.0,    "totalSourceCost": 1.0,    "void": false,    "wasSplitDate": "2026-03-30"
  }
]